PETSc version 3.15.5
Fix/Edit manual page

# DMSwarmGetSize

Retrives the total length of fields registered

### Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetSize(DM dm,PetscInt *n)

Collective on dm

### Input parameter

| dm | - a DMSwarm

### Output parameter

| n | - the total length of each registered field

### Note

This calls MPI_Allreduce upon each call (inefficient but safe)

### See Also

DMSwarmGetLocalSize(), DMSwarmSetLocalSizes()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/tutorials/swarm_ex1.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages